
const St = imports.gi.St;
const Main = imports.ui.main;
const Tweener = imports.ui.tweener;
const Util = imports.misc.util;

let text, button;
var activado = false;

function _hideHello() {
    Main.uiGroup.remove_actor(text);
    text = null;
}

function _showHello() {
    if (!text && activado == false) {
        text = new St.Label({ style_class: 'helloworld-label', text: "Filtro activado" });
        Main.uiGroup.add_actor(text);
	Util.spawn(['/bin/sct','3500']);
	activado = true;
    }
    if (!text && activado == true) {
        text = new St.Label({ style_class: 'helloworld-label', text: "Filtro desactivado" });
        Main.uiGroup.add_actor(text);
	Util.spawn(['/bin/sct','5555']);
	activado = false;
    }

    text.opacity = 255;

    let monitor = Main.layoutManager.primaryMonitor;

    text.set_position(monitor.x + Math.floor(monitor.width / 2 - text.width / 2),
                      monitor.y + Math.floor(monitor.height / 2 - text.height / 2));


    Tweener.addTween(text,
                     { opacity: 0,
                       time: 1,
                       transition: 'easeOutQuad',
                       onComplete: _hideHello });
}

function init() {
    button = new St.Bin({ style_class: 'panel-button',
                          reactive: true,
                          can_focus: true,
                          x_fill: true,
                          y_fill: false,
                          track_hover: true });
    let icon = new St.Icon({ icon_name: 'weather-clear-night',
                             style_class: 'system-status-icon' });

    let label = new St.Label({ text: "Noche" });
    button.set_child(icon);
    button.connect('button-press-event', _showHello);
}

function enable() {
    Main.panel._rightBox.insert_child_at_index(button, 0);
}

function disable() {
    Main.panel._rightBox.remove_child(button);
}
